Summary:	A utility for getting files from remote servers (FTP, HTTP, and others).
Name:		curl 
Version:	7.10.8
Release:	1.5.1
License:	MPL
Group:		Applications/Internet
Source:		http://curl.haxx.se/download/%{name}-%{version}.tar.bz2
Patch0:		curl-7.10.4-nousr.patch
Patch1:		curl-7.10.4-path.patch
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
BuildRequires:	openssl-devel, libtool

%description
cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and
Dict servers, using any of the supported protocols. cURL is designed
to work without user interaction or any kind of interactivity. cURL
offers many useful capabilities, like proxy support, user
authentication, FTP upload, HTTP post, and file transfer resume.

%files
  %defattr(-,root,root)
  %doc CHANGES README* 
  %doc docs/BUGS docs/CONTRIBUTE docs/examples docs/FAQ docs/FEATURES docs/INSTALL
  %doc docs/INTERNALS docs/MANUAL docs/RESOURCES
  %doc docs/TheArtOfHttpScripting docs/TODO
  %{_bindir}/curl
  %{_libdir}/*.so.*
#  /usr/share/curl
  %{_mandir}/man1/curl.1*

%package devel
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Summary:	Files needed for building applications with libcurl.

%description devel
cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and
Dict servers, using any of the supported protocols. The curl-devel
package includes files needed for developing applications which can
use cURL's capabilities internally.

%files devel
  %defattr(-,root,root)
  %{_bindir}/curl-config
  %{_includedir}/curl
  %{_libdir}/*.a
  %{_libdir}/*.so
  %{_mandir}/man1/curl-config.1*
  %{_mandir}/man3/*

%prep
%setup -q 
%patch0 -p1
%patch1 -p1
libtoolize --force
./reconf

%build
  # CPPFLAGS=`pkg-config --cflags openssl`; export CPPFLAGS
  # LDFLAGS=`pkg-config --libs openssl`; export LDFLAGS

%configure --with-ssl=/usr
make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall
  rm -f $RPM_BUILD_ROOT%{_libdir}/libcurl.la

  #
  # XXX -- hack hack hack -- XXX
  #
  pushd $RPM_BUILD_ROOT/%{_libdir}
    mv libcurl.2.0.2 libcurl.so.2.0.2
    rm -f libcurl libcurl.2
    ln -s libcurl.so.2.0.2 libcurl.so.2
    ln -s libcurl.so.2 libcurl.so
  popd

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jan 12 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 7.10.8, Release 1.5.1
  - New upstream release.
  - Little hackjob in %install.

* Fri May 09 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 7.10.4, Release 1.5.0
  - Initial build for EnGarde, package taken from Rawhide.
